Skip to main content
GET
/
v1
/
users
/
{id}
/
roles
Get all roles assigned to a specific user
curl --request GET \
  --url https://dev.flextell.ai/api/v1/users/{id}/roles \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "data": [
    {
      "id": 123,
      "tenant_id": 123,
      "name": "<string>",
      "is_system": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "permissions_count": 123,
      "permissions": [
        {
          "id": 123,
          "name": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The user identifier

Response

Array of RoleResource

data
RoleResource · object[]
required